<?php

namespace Modules\Payment\Facades;

use Illuminate\Support\Facades\Facade;
use Modules\Payment\BlockChain\Pay as ChainPay;

class Pay extends Facade
{

    public static function getFacadeAccessor(): string
    {
        return 'pay.wechat';
    }

    public static function alipay()
    {
        return app('pay.alipay');
    }

    public static function wechat()
    {
        return app('pay.wechat');
    }

    public static function chain()
    {
        return new ChainPay();
    }

}